﻿@model ProjectUni.Models.Notes
@using ProjectUni.Models;

@{
    ViewBag.Title = "Create";
    //Layout = "~/Views/Shared/_AdminLayout.cshtml";
    Layout = "~/Views/Shared/_ProfileLayout.cshtml";

}
@{ 
    PContext db = new PContext();
    var id = Session["UserID"];
    var ob = db.Registration.Find(id);
    var em = ob.Email;
}
<script src="~/Content/ckeditor/ckeditor.js"></script>
<div class="col-xs-12">
    <div class="box" style="background-color:rgba(0, 0, 0, 0.81);padding-bottom:10px;">
        <div class="box-body" style="margin:20px 50px 20px 50px;padding:0px 50px 0px 50px;">
            <h2 style="color:white;padding-top:10px;">Create</h2>

            @using (Html.BeginForm())
            {
                @Html.AntiForgeryToken()

                <div class="form-horizontal">
                    <h4 style="color:white">Notes</h4>
                    <hr />
                    @Html.ValidationSummary(true, "", new { @class = "text-danger" })

                    <div class="form-group">
                        @Html.LabelFor(model => model.T_ID, "T_ID", htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.DropDownList("T_ID", null, htmlAttributes: new { @class = "form-control" })
                            @Html.ValidationMessageFor(model => model.T_ID, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(model => model.TNotes, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            <textarea id="tb1" cols="20" rows="30" class="form-control" name="@Html.NameFor(model => model.TNotes)"></textarea>
                            <script>CKEDITOR.replace('tb1');</script>
                            @*@Html.EditorFor(model => model.TNotes, new { htmlAttributes = new { @class = "form-control" }, })*@
                            @Html.ValidationMessageFor(model => model.TNotes, "", new { @class = "text-danger" })
                        </div>
                    </div>



                    <div class="form-group">
                        <div class="col-md-offset-2 col-md-10">
                            <input type="submit" value="Create" class="btn btn-default" />
                        </div>
                    </div>
                </div>
            }

            <div>
                @Html.ActionLink("Back to List", "Index")
            </div>

        </div>
    </div>
</div>
